## pynwb 0.5.1

=== Makefile ===
PYTHON = python
FLAKE = flake8
COVERAGE = coverage

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  init           to install required packages"
	@echo "  build          to build the python package(s)"
	@echo "  install        to build and install the python package(s)"
	@echo "  develop        to build and install the python package(s) for development"
	@echo "  test           to run all integration and unit tests"
	@echo "  htmldoc        to make the HTML documentation and open it with the default browser"
	@echo "  coverage       to run tests, build coverage HTML report and open it with the default browser"
	@echo ""
	@echo "Advanced targets"
	@echo "  apidoc         to generate API docs *.rst files from sources"
	@echo "  coverage-only  to run tests and build coverage report"
	@echo "  coverage-open  to open coverage HTML report in the default browser"
	@echo "  htmlclean      to remove all generated documentation"
	@echo "  htmldoc-only   to make the HTML documentation"
	@echo "  htmldoc-open   to open the HTML documentation with the default browser"
	@echo "  pdfdoc         to make the LaTeX sources and build the PDF of the documentation"

init:
	pip install -r requirements.txt -r requirements-dev.txt -r requirements-doc.txt

build:
	$(PYTHON) setup.py build

install: build
	$(PYTHON) setup.py install

develop: build
	$(PYTHON) setup.py develop

test:
	pip install -r requirements-dev.txt
	tox

flake:
	$(FLAKE) src/
	$(FLAKE) tests/
	$(FLAKE) --ignore E402 docs/gallery

checkpdb:
	find {src,tests} -name "*.py" -exec grep -Hn pdb {} \;

devtest:
	$(PYTHON) -W ignore:::pynwb.form.build.map: test.py -fpi

testclean:
	rm *.npy *.nwb *.yaml

apidoc:
	pip install -r requirements-doc.txt
	cd docs && $(MAKE) apidoc

htmldoc-only: apidoc
	cd docs && $(MAKE) html

htmlclean:
	cd docs && $(MAKE) clean

htmldoc-open:
	@echo ""
	@echo "To view the HTML documentation open: docs/_build/html/index.html"
	open docs/_build/html/index.html || xdg-open docs/_build/html/index.html

htmldoc: htmldoc-only htmldoc-open

pdfdoc:
	cd docs && $(MAKE) latexpdf
	@echo ""
	@echo "To view the PDF documentation open: docs/_build/latex/PyNWB.pdf"

coverage-only:
	tox -e localcoverage

coverage-open:
	@echo "To view coverage data open: ./tests/coverage/htmlcov/index.html"
	open ./tests/coverage/htmlcov/index.html || xdg-open ./tests/coverage/htmlcov/index.html

coverage: coverage-only coverage-open

=== requirements.txt ===
certifi==2018.1.18
chardet==3.0.4
h5py==2.7.1
idna==2.6
numpy==1.14.2
python-dateutil==2.7.2
requests==2.18.4
ruamel.yaml==0.15.37
six==1.11.0
urllib3==1.22
pandas==0.19.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS     =
SPHINXBUILD    = sphinx-build
SPHINXAPIDOC   = sphinx-apidoc
PAPER          =
BUILDDIR       = _build
SRCDIR         = ../src
RSTDIR         = source
PKGNAME        = {pynwb,form}

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  apidoc     to to build RST from source code"

clean:
	-rm -rf $(BUILDDIR)/* $(RSTDIR)/$(PKGNAME)*.rst $(RSTDIR)/modules.rst

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sample.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sample.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sample"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sample"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

apidoc:
	$(SPHINXAPIDOC) -f -e -o $(RSTDIR)  $(SRCDIR)
	@echo "Build rst docs from source code."

=== debian/changelog ===
pynwb (0.5.1-1) unstable; urgency=low

  * Initial source package automatically created by stdeb 0.8.5
    (Closes: #908531)
  * Upstream sources generated from git repository until tests are
    included in source release
    (see https://github.com/NeurodataWithoutBorders/pynwb/pull/622)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 20 Sep 2018 01:19:06 -0400

=== debian/control ===
Source: pynwb
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all (>= 2.6.6-3), python3-all,
 python-dateutil, python3-dateutil,
 python-h5py (>= 2.7.1), python3-h5py (>= 2.7.1),
 python-numpy, python3-numpy,
 python-pandas, python3-pandas,
 python-requests, python3-requests,
 python-ruamel.yaml, python3-ruamel.yaml,
 python-setuptools (>= 0.6b3), python3-setuptools,
 python-six, python3-six,
 python-unittest2, python3-unittest2,
Standards-Version: 4.2.1
Homepage: https://github.com/NeurodataWithoutBorders/pynwb

Package: python-pynwb
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python library for working with Neurodata in the NWB format
 PyNWB is a Python package for working with NWB files. It provides a
 high-level API for efficiently working with Neurodata stored in the
 NWB format.
 .
 Neurodata Without Borders: Neurophysiology (NWB:N) is a project to
 develop a unified data format for cellular-based neurophysiology
 data, focused on the dynamics of groups of neurons measured under a
 large range of experimental conditions.

Package: python3-pynwb
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for working with Neurodata in the NWB format
 PyNWB is a Python package for working with NWB files. It provides a
 high-level API for efficiently working with Neurodata stored in the
 NWB format.
 .
 Neurodata Without Borders: Neurophysiology (NWB:N) is a project to
 develop a unified data format for cellular-based neurophysiology
 data, focused on the dynamics of groups of neurons measured under a
 large range of experimental conditions.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# This file was initially automatically generated by stdeb 0.8.5 at
# Mon, 10 Sep 2018 16:53:02 -0400
export PYBUILD_NAME=pynwb
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/pynwb/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pynwb/pynwb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pynwb 1.0.3

=== requirements.txt ===
chardet==3.0.4
h5py==2.9.0
hdmf==1.0.5
numpy==1.16.4
pandas==0.24.2
python-dateutil==2.8.0
ruamel.yaml==0.15.99
six==1.12.0

=== debian/changelog ===
pynwb (1.0.3-1~nd100+1) buster; urgency=medium

  * Backported for buster.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 12 Aug 2019 11:54:29 -0400

pynwb (1.0.3-1) unstable; urgency=medium

  * Fresh upstream release
    - dropping cherry picked patch
    - depends on hdmf module which is packaged only for python3.
      So we are dropping python-pynwb package
  * Placing under Debian-Med maintenance (maintainer, vcs fields)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Aug 2019 14:56:48 -0400

=== debian/control ===
Source: pynwb
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@alioth-lists.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-dateutil,
 python3-h5py (>= 2.7.1),
 python3-hdmf,
 python3-numpy,
 python3-pandas,
 python3-requests,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-six,
 python3-unittest2,
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/pynwb
Vcs-Git: https://salsa.debian.org/med-team/pynwb.git
Homepage: https://github.com/NeurodataWithoutBorders/pynwb

Package: python3-pynwb
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
Description: Python library for working with Neurodata in the NWB format
 PyNWB is a Python package for working with NWB files. It provides a
 high-level API for efficiently working with Neurodata stored in the
 NWB format.
 .
 Neurodata Without Borders: Neurophysiology (NWB:N) is a project to
 develop a unified data format for cellular-based neurophysiology
 data, focused on the dynamics of groups of neurons measured under a
 large range of experimental conditions.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,4 @@
 # Mon, 10 Sep 2018 16:53:02 -0400
 export PYBUILD_NAME=pynwb
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

## pynwb 1.2.1

=== requirements.txt ===
h5py==2.10.0
hdmf==1.5.4
numpy==1.18.1
pandas==0.25.3
python-dateutil==2.8.0

=== debian/changelog ===
pynwb (1.2.1-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Team upload.
  * Make the build reproducible
    Closes: #950936

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 11
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Prevent installation of test results
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sat, 08 Feb 2020 17:59:40 +0100

pynwb (1.2.1-1) unstable; urgency=medium

  * Fresh upstream release
    - should be compatible with HDMF >= 1.5.4 (drop up_compat_hdmf,
      specify as minimal version within control)
    - requires h5py >= 2.9 for support of unicode keys
  * debian
    - boost debhelper compat to 11

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 23 Jan 2020 22:45:13 -0500

pynwb (1.1.2-1) UNRELEASED; urgency=medium

  * Fresh upstream release
    - HDMF is still in the NEW queue. *Depends require at least 1.3.3
  * debian/patches/up_compat_hdmf
    - to account for broken API of HDMF (1.5.0 package ATM)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Jan 2020 12:47:47 -0500

pynwb (1.0.3-1) UNRELEASED; urgency=medium

  * Fresh upstream release
    - dropping cherry picked patch
    - depends on hdmf module which is packaged only for python3.
      So we are dropping python-pynwb package
  * Placing under Debian-Med maintenance (maintainer, vcs fields)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Aug 2019 14:56:48 -0400

pynwb (0.5.1-2) unstable; urgency=medium

  * Placedunder Debian-Med maintenance (maintainer, vcs fields)
  * Drop python2 package (Closes: #934868)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Oct 2019 10:20:23 -0400

=== debian/control ===
Source: pynwb
Maintainer: Debian Med Packaging Team <debian-med-packaging@alioth-lists.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
               python3-dateutil,
               python3-h5py (>= 2.9~),
               python3-hdmf,
               python3-numpy,
               python3-pandas,
               python3-requests,
               python3-ruamel.yaml,
               python3-setuptools,
               python3-six,
               python3-unittest2
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/pynwb
Vcs-Git: https://salsa.debian.org/med-team/pynwb.git
Homepage: https://github.com/NeurodataWithoutBorders/pynwb

Package: python3-pynwb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-hdmf
Description: Python library for working with Neurodata in the NWB format
 PyNWB is a Python package for working with NWB files. It provides a
 high-level API for efficiently working with Neurodata stored in the
 NWB format.
 .
 Neurodata Without Borders: Neurophysiology (NWB:N) is a project to
 develop a unified data format for cellular-based neurophysiology
 data, focused on the dynamics of groups of neurons measured under a
 large range of experimental conditions.

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 export PYBUILD_NAME=pynwb
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_install:
+	dh_install
+	find debian -name "test_*.nwb" -delete

## pynwb 2.5.0

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use PyNWB
h5py==3.8.0
hdmf==3.9.0
numpy==1.24.2
pandas==2.0.0
python-dateutil==2.8.2
setuptools==65.5.1

=== debian/changelog ===
pynwb (2.5.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
    Closes: #978257
  * Fix team address
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Drop python3-unittest2 from Build-Depends
    Closes: #1058966

  [ Yaroslav Halchenko ]
  * Make build/run dependencies on h5py and hdmf versioned
  * debian/control
    - remove obsolete build-depends: python3-{six,ruamel.yaml}
    - add testing build-depends: python3-{pytest,coverage}
  * debian/patches added
    - deb_no_dandi
    - up_test_coverage_run
    - up_test_file 

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 Dec 2023 21:19:32 -0500

=== debian/control ===
Source: pynwb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-dateutil,
               python3-h5py (>= 2.10),
               python3-hdmf (>= 3.9.0~),
               python3-numpy,
               python3-pandas,
               python3-requests,
               python3-setuptools,
               python3-pytest,
               python3-coverage,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/pynwb
Vcs-Git: https://salsa.debian.org/med-team/pynwb.git
Homepage: https://github.com/NeurodataWithoutBorders/pynwb
Rules-Requires-Root: no

Package: python3-pynwb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-hdmf (>= 3.9.0~),
Description: Python library for working with Neurodata in the NWB format
 PyNWB is a Python package for working with NWB files. It provides a
 high-level API for efficiently working with Neurodata stored in the
 NWB format.
 .
 Neurodata Without Borders: Neurophysiology (NWB:N) is a project to
 develop a unified data format for cellular-based neurophysiology
 data, focused on the dynamics of groups of neurons measured under a
 large range of experimental conditions.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=pynwb
# hopefully would pass with release after 2.5.0
export PYBUILD_TEST_ARGS=-k 'not test_validate_file_no_cache'

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	find debian -name "test_*.nwb" -delete
	rm -f .coverage.*

=== debian/watch ===
# please also check http://pypi.debian.net/pynwb/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pynwb/pynwb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pynwb 2.8.2

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use PyNWB
h5py==3.11.0
hdmf==3.14.3
numpy==2.1.1; python_version > "3.9"  # numpy 2.1+ is not compatible with py3.9
numpy==2.0.2; python_version == "3.9"
pandas==2.2.2
python-dateutil==2.9.0.post0

=== docs/Makefile ===
--- 
+++ 
@@ -9,12 +9,13 @@
 BUILDDIR       = _build
 SRCDIR         = ../src
 RSTDIR         = source
-PKGNAME        = {pynwb,form}
+GALLERYDIR     = gallery
+PKGNAME        = pynwb
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(RSTDIR)
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
@@ -41,10 +42,11 @@
 	@echo "  changes    to make an overview of all changed/added/deprecated items"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
-	@echo "  apidoc     to to build RST from source code"
+	@echo "  clean      to clean all documents built by Sphinx in _build"
+	@echo "  apidoc     to build RST from source code"
 
 clean:
-	-rm -rf $(BUILDDIR)/* $(RSTDIR)/$(PKGNAME)*.rst $(RSTDIR)/modules.rst
+	-rm -rf $(BUILDDIR)/* $(RSTDIR)/$(PKGNAME)*.rst $(RSTDIR)/tutorials $(GALLERYDIR)/advanced_io/*.npy $(GALLERYDIR)/advanced_io/*.nwb
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
@@ -147,7 +149,7 @@
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
 linkcheck:
-	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
+	$(SPHINXBUILD) -W -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."
@@ -158,6 +160,5 @@
 	      "results in $(BUILDDIR)/doctest/output.txt."
 
 apidoc:
-	$(SPHINXAPIDOC) -f -e -o $(RSTDIR)  $(SRCDIR)
+	$(SPHINXAPIDOC) -f -e --no-toc -o $(RSTDIR) $(SRCDIR)
 	@echo "Build rst docs from source code."
-

=== src/pynwb/nwb-schema/docs/format/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS     =
SPHINXBUILD    = sphinx-build
SPHINXAPIDOC   = sphinx-apidoc
PAPER          =
BUILDDIR       = _build
RSTDIR         = source
CONFDIR        = $(PWD)/$(RSTDIR)

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(RSTDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext fulldoc allclean

help:
	@echo "To update documentation sources from the format specification please use \`make apidoc'"
	@echo ""
	@echo "To build the documentation please use \`make <target>' where <target> is one of"
	@echo "  fulldoc    to rebuild the apidoc, html, and latexpdf documents all at once"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  apidoc     to build RST from source code"
	@echo "  clean      to clean all documents built by Sphinx in _build"
	@echo "  allclean   to clean all autogenerated documents both from Sphinx and apidoc"

allclean:
	$(MAKE) clean
	-rm $(RSTDIR)/_format_auto_docs/*.png
	-rm $(RSTDIR)/_format_auto_docs/*.pdf
	-rm $(RSTDIR)/_format_auto_docs/*.rst
	-rm $(RSTDIR)/_format_auto_docs/*.inc
	-rm $(RSTDIR)/_format_auto_docs/git_hash.txt

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sample.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sample.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sample"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sample"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -n -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

apidoc:
	PYTHONPATH=$(CONFDIR):$(PYTHONPATH) hdmf_generate_format_docs
	@echo
	@echo "Generate rst source files from NWB spec."

fulldoc:
	$(MAKE) allclean
	@echo
	@echo "Rebuilding apidoc, html, latexpdf"
	$(MAKE) apidoc
	$(MAKE) html
	$(MAKE) latexpdf

=== src/pynwb/nwb-schema/docs/storage/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS     =
SPHINXBUILD    = sphinx-build
SPHINXAPIDOC   = sphinx-apidoc
PAPER          =
BUILDDIR       = _build
RSTDIR         = source

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(RSTDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "To update documentation sources from the format specification please use \`make apidoc'"
	@echo ""
	@echo "To build the documentation please use \`make <target>' where <target> is one of"
	@echo "  fulldoc    to rebuild the html and latexpdf documents all at once"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  clean      to clean all documents built by Sphinx in _build"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sample.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sample.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sample"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sample"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

fulldoc:
	$(MAKE) clean
	@echo
	@echo "Rebuilding html, latexpdf"
	$(MAKE) html
	$(MAKE) latexpdf

=== src/pynwb/nwb-schema/hdmf-common-schema/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS     =
SPHINXBUILD    = sphinx-build
SPHINXAPIDOC   = sphinx-apidoc
PAPER          =
BUILDDIR       = _build
RSTDIR         = source
CONFDIR        = $(PWD)/$(RSTDIR)

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(RSTDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext fulldoc allclean

help:
	@echo "To update documentation sources from the format specification please use \`make apidoc'"
	@echo ""
	@echo "To build the documentation please use \`make <target>' where <target> is one of"
	@echo "  fulldoc    to rebuild the apidoc, html, and latexpdf documents all at once"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  apidoc     to build RST from source code"
	@echo "  clean      to clean all documents built by Sphinx in _build"
	@echo "  allclean   to clean all autogenerated documents both from Sphinx and apidoc"

allclean:
	$(MAKE) clean
	-rm $(RSTDIR)/_format_auto_docs/*.png
	-rm $(RSTDIR)/_format_auto_docs/*.pdf
	-rm $(RSTDIR)/_format_auto_docs/*.rst
	-rm $(RSTDIR)/_format_auto_docs/*.inc
	-rm $(RSTDIR)/_format_auto_docs/git_hash.txt

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sample.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sample.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sample"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sample"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

apidoc:
	PYTHONPATH=$(CONFDIR):$(PYTHONPATH) hdmf_generate_format_docs
	@echo
	@echo "Generate rst source files from HDMF-common spec."

fulldoc:
	$(MAKE) allclean
	@echo
	@echo "Rebuilding apidoc, html, latexpdf"
	$(MAKE) apidoc
	$(MAKE) html
	$(MAKE) latexpdf

=== debian/changelog ===
pynwb (2.8.2-2) unstable; urgency=medium

  * d/control: build depends on python3-hatch-vcs. (Closes: #1084039)
  * d/s/lintian-overrides: deleted: false positive fixed in lintian.

 -- Étienne Mollier <emollier@debian.org>  Thu, 10 Oct 2024 20:31:29 +0200

pynwb (2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2
  * d/salsa-ci.yml: disable i386 CI build.
  * d/rules: restore formerly skipped test.
  * d/rules: accommodate dist-packages path for multiple python3 versions.
  * d/python3-pynwb.docs: move nwb-schema to documentation.
    The change requires adjustements in d/rules to avoid duplicating
    resources into Python distribution packages directory.
  * fix-syntax-warnings.patch: new: fix warnings upon package installation.

 -- Étienne Mollier <emollier@debian.org>  Fri, 13 Sep 2024 23:08:34 +0200

pynwb (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1
  * d/watch: fixed watch file to capture newer releases.
  * Delete patch deb_no_dandi: file vanished upstream.
  * Delete patch up_test_coverage_run: applied upstream.
  * Delete patch up_test_file: applied upstream.
  * reproducible-build.patch: remove: unused: fixed upstream.
  * d/copyright: update copyright year.
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: build depends on pyproject with hatchling backend.
  * d/rules: clear a couple of extra license files.
  * d/s/lintian-overrides: flag lintian false positive.

 -- Étienne Mollier <emollier@debian.org>  Sun, 01 Sep 2024 19:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,18 @@
 Source: pynwb
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-dateutil,
                python3-h5py (>= 2.10),
+               python3-hatchling,
+               python3-hatch-vcs,
                python3-hdmf (>= 3.9.0~),
                python3-numpy,
                python3-pandas,
@@ -16,7 +20,7 @@
                python3-setuptools,
                python3-pytest,
                python3-coverage,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/pynwb
 Vcs-Git: https://salsa.debian.org/med-team/pynwb.git
 Homepage: https://github.com/NeurodataWithoutBorders/pynwb

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export PYBUILD_NAME=pynwb

PKG = python3-pynwb
PKG_ROOT = $(CURDIR)/debian/$(PKG)

%:
	dh $@ --buildsystem=pybuild

PKG_DIST = $(PKG_ROOT)/usr/lib/python3*/dist-packages
execute_after_dh_install:
	find debian -name "test_*.nwb" -delete
	rm -f .coverage.*
	# Remove duplicate directory.
	rm -rvf $(PKG_DIST)/pynwb/nwb-schema/docs
	rm -vf $(PKG_DIST)/pynwb/nwb-schema/Legal.txt
	rm -vf $(PKG_DIST)/pynwb/nwb-schema/README.rst
	rm -vf $(PKG_DIST)/pynwb/nwb-schema/license.txt
	rm -vf $(PKG_DIST)/pynwb/nwb-schema/requirements-doc.txt
	rm -rvf $(PKG_DIST)/pynwb/nwb-schema/hdmf-common-schema/docs
	rm -vf $(PKG_DIST)/pynwb/nwb-schema/hdmf-common-schema/Legal.txt
	rm -vf $(PKG_DIST)/pynwb/nwb-schema/hdmf-common-schema/README.md
	rm -vf $(PKG_DIST)/pynwb/nwb-schema/hdmf-common-schema/license.txt
	rm -vf $(PKG_DIST)/pynwb/nwb-schema/hdmf-common-schema/requirements-doc.txt
	rm -vf $(PKG_DIST)/pynwb/nwb-schema/hdmf-common-schema/setup.cfg

PKG_DOC = $(PKG_ROOT)/usr/share/doc/$(PKG)
execute_after_dh_installdocs:
	# Remove extra license files
	rm -vf $(PKG_DOC)/nwb-schema/hdmf-common-schema/license.txt
	rm -vf $(PKG_DOC)/nwb-schema/license.txt

=== debian/watch ===
# please also check http://pypi.debian.net/pynwb/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pynwb/ \
https://pypi.debian.net/pynwb/pynwb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
